/*! For license information please see head.js.LICENSE.txt */
!function () {
    var e = {
        44882: function (e, t, n) {
            function r(e) {
                return r = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (e) {
                    return typeof e
                }
                    : function (e) {
                        return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e
                    }
                    ,
                    r(e)
            }
            e = n.nmd(e),
                function (t, n, i) {
                    function s(e, t) {
                        return r(e) === t
                    }
                    function a(e, t) {
                        return !!~("" + e).indexOf(t)
                    }
                    function o() {
                        return "function" != typeof n.createElement ? n.createElement(arguments[0]) : S ? n.createElementNS.call(n, "http://www.w3.org/2000/svg", arguments[0]) : n.createElement.apply(n, arguments)
                    }
                    function c(e, t, r, i) {
                        var s, a, c, l, u = "modernizr", d = o("div"), f = function () {
                            var e = n.body;
                            return e || ((e = o(S ? "svg" : "body")).fake = !0),
                                e
                        }();
                        if (parseInt(r, 10))
                            for (; r--;)
                                (c = o("div")).id = i ? i[r] : u + (r + 1),
                                    d.appendChild(c);
                        return (s = o("style")).type = "text/css",
                            s.id = "s" + u,
                            (f.fake ? f : d).appendChild(s),
                            f.appendChild(d),
                            s.styleSheet ? s.styleSheet.cssText = e : s.appendChild(n.createTextNode(e)),
                            d.id = u,
                            f.fake && (f.style.background = "",
                                f.style.overflow = "hidden",
                                l = w.style.overflow,
                                w.style.overflow = "hidden",
                                w.appendChild(f)),
                            a = t(d, e),
                            f.fake ? (f.parentNode.removeChild(f),
                                w.style.overflow = l,
                                w.offsetHeight) : d.parentNode.removeChild(d),
                            !!a
                    }
                    function l(e) {
                        return e.replace(/([A-Z])/g, (function (e, t) {
                            return "-" + t.toLowerCase()
                        }
                        )).replace(/^ms-/, "-ms-")
                    }
                    function u(e, n, r) {
                        var i;
                        if ("getComputedStyle" in t) {
                            i = getComputedStyle.call(t, e, n);
                            var s = t.console;
                            if (null !== i)
                                r && (i = i.getPropertyValue(r));
                            else if (s) {
                                s[s.error ? "error" : "log"].call(s, "getComputedStyle returning null, its possible modernizr test results are inaccurate")
                            }
                        } else
                            i = !n && e.currentStyle && e.currentStyle[r];
                        return i
                    }
                    function d(e, n) {
                        var r = e.length;
                        if ("CSS" in t && "supports" in t.CSS) {
                            for (; r--;)
                                if (t.CSS.supports(l(e[r]), n))
                                    return !0;
                            return !1
                        }
                        if ("CSSSupportsRule" in t) {
                            for (var s = []; r--;)
                                s.push("(" + l(e[r]) + ":" + n + ")");
                            return c("@supports (" + (s = s.join(" or ")) + ") { #modernizr { position: absolute; } }", (function (e) {
                                return "absolute" == u(e, null, "position")
                            }
                            ))
                        }
                        return i
                    }
                    function f(e) {
                        return e.replace(/([a-z])-([a-z])/g, (function (e, t, n) {
                            return t + n.toUpperCase()
                        }
                        )).replace(/^-/, "")
                    }
                    function p(e, t, n, r) {
                        function c() {
                            u && (delete M.style,
                                delete M.modElem)
                        }
                        if (r = !s(r, "undefined") && r,
                            !s(n, "undefined")) {
                            var l = d(e, n);
                            if (!s(l, "undefined"))
                                return l
                        }
                        for (var u, p, m, h, g, v = ["modernizr", "tspan", "samp"]; !M.style && v.length;)
                            u = !0,
                                M.modElem = o(v.shift()),
                                M.style = M.modElem.style;
                        for (m = e.length,
                            p = 0; m > p; p++)
                            if (h = e[p],
                                g = M.style[h],
                                a(h, "-") && (h = f(h)),
                                M.style[h] !== i) {
                                if (r || s(n, "undefined"))
                                    return c(),
                                        "pfx" != t || h;
                                try {
                                    M.style[h] = n
                                } catch (e) { }
                                if (M.style[h] != g)
                                    return c(),
                                        "pfx" != t || h
                            }
                        return c(),
                            !1
                    }
                    function m(e, t) {
                        return function () {
                            return e.apply(t, arguments)
                        }
                    }
                    function h(e, t, n, r, i) {
                        var a = e.charAt(0).toUpperCase() + e.slice(1)
                            , o = (e + " " + x.join(a + " ") + a).split(" ");
                        return s(t, "string") || s(t, "undefined") ? p(o, t, r, i) : function (e, t, n) {
                            var r;
                            for (var i in e)
                                if (e[i] in t)
                                    return !1 === n ? e[i] : s(r = t[e[i]], "function") ? m(r, n || t) : r;
                            return !1
                        }(o = (e + " " + E.join(a + " ") + a).split(" "), t, n)
                    }
                    function g(e, t, n) {
                        return h(e, i, i, t, n)
                    }
                    var v = []
                        , y = {
                            _version: "3.5.0",
                            _config: {
                                classPrefix: "",
                                enableClasses: !0,
                                enableJSClass: !0,
                                usePrefixes: !0
                            },
                            _q: [],
                            on: function (e, t) {
                                var n = this;
                                setTimeout((function () {
                                    t(n[e])
                                }
                                ), 0)
                            },
                            addTest: function (e, t, n) {
                                v.push({
                                    name: e,
                                    fn: t,
                                    options: n
                                })
                            },
                            addAsyncTest: function (e) {
                                v.push({
                                    name: null,
                                    fn: e
                                })
                            }
                        }
                        , A = function () { };
                    A.prototype = y,
                        A = new A;
                    var b = []
                        , w = n.documentElement
                        , S = "svg" === w.nodeName.toLowerCase()
                        , C = "Moz O ms Webkit"
                        , E = y._config.usePrefixes ? C.toLowerCase().split(" ") : [];
                    y._domPrefixes = E;
                    var z = y._config.usePrefixes ? " -webkit- -moz- -o- -ms- ".split(" ") : ["", ""];
                    y._prefixes = z;
                    var x = y._config.usePrefixes ? C.split(" ") : [];
                    y._cssomPrefixes = x;
                    var T = {
                        elem: o("modernizr")
                    };
                    A._q.push((function () {
                        delete T.elem
                    }
                    ));
                    var M = {
                        style: T.elem.style
                    };
                    A._q.unshift((function () {
                        delete M.style
                    }
                    )),
                        y.testAllProps = h,
                        y.testAllProps = g,
                        y.testProp = function (e, t, n) {
                            return p([e], i, t, n)
                        }
                        ,
                        S || function (t, n) {
                            function i() {
                                var e = v.elements;
                                return "string" == typeof e ? e.split(" ") : e
                            }
                            function s(e) {
                                var t = g[e[m]];
                                return t || (t = {},
                                    h++,
                                    e[m] = h,
                                    g[h] = t),
                                    t
                            }
                            function a(e, t, r) {
                                return t || (t = n),
                                    u ? t.createElement(e) : (r || (r = s(t)),
                                        !(i = r.cache[e] ? r.cache[e].cloneNode() : p.test(e) ? (r.cache[e] = r.createElem(e)).cloneNode() : r.createElem(e)).canHaveChildren || f.test(e) || i.tagUrn ? i : r.frag.appendChild(i));
                                var i
                            }
                            function o(e, t) {
                                t.cache || (t.cache = {},
                                    t.createElem = e.createElement,
                                    t.createFrag = e.createDocumentFragment,
                                    t.frag = t.createFrag()),
                                    e.createElement = function (n) {
                                        return v.shivMethods ? a(n, e, t) : t.createElem(n)
                                    }
                                    ,
                                    e.createDocumentFragment = Function("h,f", "return function(){var n=f.cloneNode(),c=n.createElement;h.shivMethods&&(" + i().join().replace(/[\w\-:]+/g, (function (e) {
                                        return t.createElem(e),
                                            t.frag.createElement(e),
                                            'c("' + e + '")'
                                    }
                                    )) + ");return n}")(v, t.frag)
                            }
                            function c(e) {
                                e || (e = n);
                                var t = s(e);
                                return !v.shivCSS || l || t.hasCSS || (t.hasCSS = !!function (e, t) {
                                    var n = e.createElement("p")
                                        , r = e.getElementsByTagName("head")[0] || e.documentElement;
                                    return n.innerHTML = "x<style>" + t + "</style>",
                                        r.insertBefore(n.lastChild, r.firstChild)
                                }(e, "article,aside,dialog,figcaption,figure,footer,header,hgroup,main,nav,section{display:block}mark{background:#FF0;color:#000}template{display:none}")),
                                    u || o(e, t),
                                    e
                            }
                            var l, u, d = t.html5 || {}, f = /^<|^(?:button|map|select|textarea|object|iframe|option|optgroup)$/i, p = /^(?:a|b|code|div|fieldset|h1|h2|h3|h4|h5|h6|i|label|li|ol|p|q|span|strong|style|table|tbody|td|th|tr|ul)$/i, m = "_html5shiv", h = 0, g = {};
                            !function () {
                                try {
                                    var e = n.createElement("a");
                                    e.innerHTML = "<xyz></xyz>",
                                        l = "hidden" in e,
                                        u = 1 == e.childNodes.length || function () {
                                            n.createElement("a");
                                            var e = n.createDocumentFragment();
                                            return void 0 === e.cloneNode || void 0 === e.createDocumentFragment || void 0 === e.createElement
                                        }()
                                } catch (e) {
                                    l = !0,
                                        u = !0
                                }
                            }();
                            var v = {
                                elements: d.elements || "abbr article aside audio bdi canvas data datalist details dialog figcaption figure footer header hgroup main mark meter nav output picture progress section summary template time video",
                                version: "3.7.3",
                                shivCSS: !1 !== d.shivCSS,
                                supportsUnknownElements: u,
                                shivMethods: !1 !== d.shivMethods,
                                type: "default",
                                shivDocument: c,
                                createElement: a,
                                createDocumentFragment: function (e, t) {
                                    if (e || (e = n),
                                        u)
                                        return e.createDocumentFragment();
                                    for (var r = (t = t || s(e)).frag.cloneNode(), a = 0, o = i(), c = o.length; c > a; a++)
                                        r.createElement(o[a]);
                                    return r
                                },
                                addElements: function (e, t) {
                                    var n = v.elements;
                                    "string" != typeof n && (n = n.join(" ")),
                                        "string" != typeof e && (e = e.join(" ")),
                                        v.elements = n + " " + e,
                                        c(t)
                                }
                            };
                            t.html5 = v,
                                c(n),
                                "object" == r(e) && e.exports && (e.exports = v)
                        }(void 0 !== t ? t : this, n),
                        A.addTest("history", (function () {
                            var e = navigator.userAgent;
                            return (-1 === e.indexOf("Android 2.") && -1 === e.indexOf("Android 4.0") || -1 === e.indexOf("Mobile Safari") || -1 !== e.indexOf("Chrome") || -1 !== e.indexOf("Windows Phone") || "file:" === location.protocol) && t.history && "pushState" in t.history
                        }
                        )),
                        A.addTest("svg", !!n.createElementNS && !!n.createElementNS("http://www.w3.org/2000/svg", "svg").createSVGRect),
                        A.addTest("boxshadow", g("boxShadow", "1px 1px", !0)),
                        function () {
                            A.addTest("csscolumns", (function () {
                                var e = !1
                                    , t = g("columnCount");
                                try {
                                    (e = !!t) && (e = new Boolean(e))
                                } catch (e) { }
                                return e
                            }
                            ));
                            for (var e, t, n = ["Width", "Span", "Fill", "Gap", "Rule", "RuleColor", "RuleStyle", "RuleWidth", "BreakBefore", "BreakAfter", "BreakInside"], r = 0; r < n.length; r++)
                                e = n[r].toLowerCase(),
                                    t = g("column" + n[r]),
                                    ("breakbefore" === e || "breakafter" === e || "breakinside" == e) && (t = t || g(n[r])),
                                    A.addTest("csscolumns." + e, t)
                        }();
                    var k = "CSS" in t && "supports" in t.CSS
                        , L = "supportsCSS" in t;
                    A.addTest("supports", k || L),
                        A.addTest("cssfilters", (function () {
                            if (A.supports)
                                return g("filter", "blur(2px)");
                            var e = o("a");
                            return e.style.cssText = z.join("filter:blur(2px); "),
                                !!e.style.length && (n.documentMode === i || n.documentMode > 9)
                        }
                        )),
                        A.addTest("csspointerevents", (function () {
                            var e = o("a").style;
                            return e.cssText = "pointer-events:auto",
                                "auto" === e.pointerEvents
                        }
                        )),
                        A.addTest("srcset", "srcset" in o("img")),
                        function () {
                            var e, t, n, r, i, a;
                            for (var o in v)
                                if (v.hasOwnProperty(o)) {
                                    if (e = [],
                                        (t = v[o]).name && (e.push(t.name.toLowerCase()),
                                            t.options && t.options.aliases && t.options.aliases.length))
                                        for (n = 0; n < t.options.aliases.length; n++)
                                            e.push(t.options.aliases[n].toLowerCase());
                                    for (r = s(t.fn, "function") ? t.fn() : t.fn,
                                        i = 0; i < e.length; i++)
                                        1 === (a = e[i].split(".")).length ? A[a[0]] = r : (!A[a[0]] || A[a[0]] instanceof Boolean || (A[a[0]] = new Boolean(A[a[0]])),
                                            A[a[0]][a[1]] = r),
                                            b.push((r ? "" : "no-") + a.join("-"))
                                }
                        }(),
                        function (e) {
                            var t = w.className
                                , n = A._config.classPrefix || "";
                            if (S && (t = t.baseVal),
                                A._config.enableJSClass) {
                                var r = new RegExp("(^|\\s)" + n + "no-js(\\s|$)");
                                t = t.replace(r, "$1" + n + "js$2")
                            }
                            A._config.enableClasses && (t += " " + n + e.join(" " + n),
                                S ? w.className.baseVal = t : w.className = t)
                        }(b),
                        delete y.addTest,
                        delete y.addAsyncTest;
                    for (var _ = 0; _ < A._q.length; _++)
                        A._q[_]();
                    t.Modernizr = A
                }(window, document)
        },
        33241: function () {
            "document" in window.self && ((!("classList" in document.createElement("_")) || document.createElementNS && !("classList" in document.createElementNS("http://www.w3.org/2000/svg", "g"))) && function (e) {
                "use strict";
                if ("Element" in e) {
                    var t = "classList"
                        , n = e.Element.prototype
                        , r = Object
                        , i = String.prototype.trim || function () {
                            return this.replace(/^\s+|\s+$/g, "")
                        }
                        , s = Array.prototype.indexOf || function (e) {
                            for (var t = 0, n = this.length; t < n; t++)
                                if (t in this && this[t] === e)
                                    return t;
                            return -1
                        }
                        , a = function (e, t) {
                            this.name = e,
                                this.code = DOMException[e],
                                this.message = t
                        }
                        , o = function (e, t) {
                            if ("" === t)
                                throw new a("SYNTAX_ERR", "An invalid or illegal string was specified");
                            if (/\s/.test(t))
                                throw new a("INVALID_CHARACTER_ERR", "String contains an invalid character");
                            return s.call(e, t)
                        }
                        , c = function (e) {
                            for (var t = i.call(e.getAttribute("class") || ""), n = t ? t.split(/\s+/) : [], r = 0, s = n.length; r < s; r++)
                                this.push(n[r]);
                            this._updateClassName = function () {
                                e.setAttribute("class", this.toString())
                            }
                        }
                        , l = c.prototype = []
                        , u = function () {
                            return new c(this)
                        };
                    if (a.prototype = Error.prototype,
                        l.item = function (e) {
                            return this[e] || null
                        }
                        ,
                        l.contains = function (e) {
                            return -1 !== o(this, e += "")
                        }
                        ,
                        l.add = function () {
                            var e, t = arguments, n = 0, r = t.length, i = !1;
                            do {
                                e = t[n] + "",
                                    -1 === o(this, e) && (this.push(e),
                                        i = !0)
                            } while (++n < r);
                            i && this._updateClassName()
                        }
                        ,
                        l.remove = function () {
                            var e, t, n = arguments, r = 0, i = n.length, s = !1;
                            do {
                                for (e = n[r] + "",
                                    t = o(this, e); -1 !== t;)
                                    this.splice(t, 1),
                                        s = !0,
                                        t = o(this, e)
                            } while (++r < i);
                            s && this._updateClassName()
                        }
                        ,
                        l.toggle = function (e, t) {
                            e += "";
                            var n = this.contains(e)
                                , r = n ? !0 !== t && "remove" : !1 !== t && "add";
                            return r && this[r](e),
                                !0 === t || !1 === t ? t : !n
                        }
                        ,
                        l.toString = function () {
                            return this.join(" ")
                        }
                        ,
                        r.defineProperty) {
                        var d = {
                            get: u,
                            enumerable: !0,
                            configurable: !0
                        };
                        try {
                            r.defineProperty(n, t, d)
                        } catch (e) {
                            void 0 !== e.number && -2146823252 !== e.number || (d.enumerable = !1,
                                r.defineProperty(n, t, d))
                        }
                    } else
                        r.prototype.__defineGetter__ && n.__defineGetter__(t, u)
                }
            }(window.self),
                function () {
                    "use strict";
                    var e = document.createElement("_");
                    if (e.classList.add("c1", "c2"),
                        !e.classList.contains("c2")) {
                        var t = function (e) {
                            var t = DOMTokenList.prototype[e];
                            DOMTokenList.prototype[e] = function (e) {
                                var n, r = arguments.length;
                                for (n = 0; n < r; n++)
                                    e = arguments[n],
                                        t.call(this, e)
                            }
                        };
                        t("add"),
                            t("remove")
                    }
                    if (e.classList.toggle("c3", !1),
                        e.classList.contains("c3")) {
                        var n = DOMTokenList.prototype.toggle;
                        DOMTokenList.prototype.toggle = function (e, t) {
                            return 1 in arguments && !this.contains(e) == !t ? t : n.call(this, e)
                        }
                    }
                    e = null
                }())
        },
        77090: function (e) {
            !function (t, n) {
                var r = function (e, t) {
                    "use strict";
                    if (!t.getElementsByClassName)
                        return;
                    var n, r, i = t.documentElement, s = e.Date, a = e.HTMLPictureElement, o = "addEventListener", c = "getAttribute", l = e[o], u = e.setTimeout, d = e.requestAnimationFrame || u, f = e.requestIdleCallback, p = /^picture$/i, m = ["load", "error", "lazyincluded", "_lazyloaded"], h = {}, g = Array.prototype.forEach, v = function (e, t) {
                        return h[t] || (h[t] = new RegExp("(\\s|^)" + t + "(\\s|$)")),
                            h[t].test(e[c]("class") || "") && h[t]
                    }, y = function (e, t) {
                        v(e, t) || e.setAttribute("class", (e[c]("class") || "").trim() + " " + t)
                    }, A = function (e, t) {
                        var n;
                        (n = v(e, t)) && e.setAttribute("class", (e[c]("class") || "").replace(n, " "))
                    }, b = function (e, t, n) {
                        var r = n ? o : "removeEventListener";
                        n && b(e, t),
                            m.forEach((function (n) {
                                e[r](n, t)
                            }
                            ))
                    }, w = function (e, r, i, s, a) {
                        var o = t.createEvent("Event");
                        return i || (i = {}),
                            i.instance = n,
                            o.initEvent(r, !s, !a),
                            o.detail = i,
                            e.dispatchEvent(o),
                            o
                    }, S = function (t, n) {
                        var i;
                        !a && (i = e.picturefill || r.pf) ? (n && n.src && !t[c]("srcset") && t.setAttribute("srcset", n.src),
                            i({
                                reevaluate: !0,
                                elements: [t]
                            })) : n && n.src && (t.src = n.src)
                    }, C = function (e, t) {
                        return (getComputedStyle(e, null) || {})[t]
                    }, E = function (e, t, n) {
                        for (n = n || e.offsetWidth; n < r.minSize && t && !e._lazysizesWidth;)
                            n = t.offsetWidth,
                                t = t.parentNode;
                        return n
                    }, z = (_ = [],
                        N = [],
                        R = _,
                        P = function () {
                            var e = R;
                            for (R = _.length ? N : _,
                                k = !0,
                                L = !1; e.length;)
                                e.shift()();
                            k = !1
                        }
                        ,
                        D = function (e, n) {
                            k && !n ? e.apply(this, arguments) : (R.push(e),
                                L || (L = !0,
                                    (t.hidden ? u : d)(P)))
                        }
                        ,
                        D._lsFlush = P,
                        D), x = function (e, t) {
                            return t ? function () {
                                z(e)
                            }
                                : function () {
                                    var t = this
                                        , n = arguments;
                                    z((function () {
                                        e.apply(t, n)
                                    }
                                    ))
                                }
                        }, T = function (e) {
                            var t, n = 0, i = r.throttleDelay, a = r.ricTimeout, o = function () {
                                t = !1,
                                    n = s.now(),
                                    e()
                            }, c = f && a > 49 ? function () {
                                f(o, {
                                    timeout: a
                                }),
                                    a !== r.ricTimeout && (a = r.ricTimeout)
                            }
                                : x((function () {
                                    u(o)
                                }
                                ), !0);
                            return function (e) {
                                var r;
                                (e = !0 === e) && (a = 33),
                                    t || (t = !0,
                                        (r = i - (s.now() - n)) < 0 && (r = 0),
                                        e || r < 9 ? c() : u(c, r))
                            }
                        }, M = function (e) {
                            var t, n, r = 99, i = function () {
                                t = null,
                                    e()
                            }, a = function () {
                                var e = s.now() - n;
                                e < r ? u(a, r - e) : (f || i)(i)
                            };
                            return function () {
                                n = s.now(),
                                    t || (t = u(a, r))
                            }
                        };
                    var k, L, _, N, R, P, D;
                    !function () {
                        var t, n = {
                            lazyClass: "lazyload",
                            loadedClass: "lazyloaded",
                            loadingClass: "lazyloading",
                            preloadClass: "lazypreload",
                            errorClass: "lazyerror",
                            autosizesClass: "lazyautosizes",
                            srcAttr: "data-src",
                            srcsetAttr: "data-srcset",
                            sizesAttr: "data-sizes",
                            minSize: 40,
                            customMedia: {},
                            init: !0,
                            expFactor: 1.5,
                            hFac: .8,
                            loadMode: 2,
                            loadHidden: !0,
                            ricTimeout: 0,
                            throttleDelay: 125
                        };
                        for (t in r = e.lazySizesConfig || e.lazysizesConfig || {},
                            n)
                            t in r || (r[t] = n[t]);
                        e.lazySizesConfig = r,
                            u((function () {
                                r.init && I()
                            }
                            ))
                    }();
                    var B = (te = /^img$/i,
                        ne = /^iframe$/i,
                        re = "onscroll" in e && !/(gle|ing)bot/.test(navigator.userAgent),
                        ie = 0,
                        se = 0,
                        ae = 0,
                        oe = -1,
                        ce = function (e) {
                            ae--,
                                (!e || ae < 0 || !e.target) && (ae = 0)
                        }
                        ,
                        le = function (e) {
                            return null == ee && (ee = "hidden" == C(t.body, "visibility")),
                                ee || "hidden" != C(e.parentNode, "visibility") && "hidden" != C(e, "visibility")
                        }
                        ,
                        ue = function (e, n) {
                            var r, s = e, a = le(e);
                            for (X -= n,
                                Z += n,
                                K -= n,
                                Y += n; a && (s = s.offsetParent) && s != t.body && s != i;)
                                (a = (C(s, "opacity") || 1) > 0) && "visible" != C(s, "overflow") && (r = s.getBoundingClientRect(),
                                    a = Y > r.left && K < r.right && Z > r.top - 1 && X < r.bottom + 1);
                            return a
                        }
                        ,
                        de = function () {
                            var e, s, a, o, l, u, d, f, p, m, h, g, v = n.elements;
                            if ((G = r.loadMode) && ae < 8 && (e = v.length)) {
                                for (s = 0,
                                    oe++,
                                    m = !r.expand || r.expand < 1 ? i.clientHeight > 500 && i.clientWidth > 500 ? 500 : 370 : r.expand,
                                    n._defEx = m,
                                    h = m * r.expFactor,
                                    g = r.hFac,
                                    ee = null,
                                    se < h && ae < 1 && oe > 2 && G > 2 && !t.hidden ? (se = h,
                                        oe = 0) : se = G > 1 && oe > 1 && ae < 6 ? m : ie; s < e; s++)
                                    if (v[s] && !v[s]._lazyRace)
                                        if (re)
                                            if ((f = v[s][c]("data-expand")) && (u = 1 * f) || (u = se),
                                                p !== u && (V = innerWidth + u * g,
                                                    J = innerHeight + u,
                                                    d = -1 * u,
                                                    p = u),
                                                a = v[s].getBoundingClientRect(),
                                                (Z = a.bottom) >= d && (X = a.top) <= J && (Y = a.right) >= d * g && (K = a.left) <= V && (Z || Y || K || X) && (r.loadHidden || le(v[s])) && (j && ae < 3 && !f && (G < 3 || oe < 4) || ue(v[s], u))) {
                                                if (Ae(v[s]),
                                                    l = !0,
                                                    ae > 9)
                                                    break
                                            } else
                                                !l && j && !o && ae < 4 && oe < 4 && G > 2 && (q[0] || r.preloadAfterLoad) && (q[0] || !f && (Z || Y || K || X || "auto" != v[s][c](r.sizesAttr))) && (o = q[0] || v[s]);
                                        else
                                            Ae(v[s]);
                                o && !l && Ae(o)
                            }
                        }
                        ,
                        fe = T(de),
                        pe = function (e) {
                            var t = e.target;
                            t._lazyCache ? delete t._lazyCache : (ce(e),
                                y(t, r.loadedClass),
                                A(t, r.loadingClass),
                                b(t, he),
                                w(t, "lazyloaded"))
                        }
                        ,
                        me = x(pe),
                        he = function (e) {
                            me({
                                target: e.target
                            })
                        }
                        ,
                        ge = function (e, t) {
                            try {
                                e.contentWindow.location.replace(t)
                            } catch (n) {
                                e.src = t
                            }
                        }
                        ,
                        ve = function (e) {
                            var t, n = e[c](r.srcsetAttr);
                            (t = r.customMedia[e[c]("data-media") || e[c]("media")]) && e.setAttribute("media", t),
                                n && e.setAttribute("srcset", n)
                        }
                        ,
                        ye = x((function (e, t, n, i, s) {
                            var a, o, l, d, f, m;
                            (f = w(e, "lazybeforeunveil", t)).defaultPrevented || (i && (n ? y(e, r.autosizesClass) : e.setAttribute("sizes", i)),
                                o = e[c](r.srcsetAttr),
                                a = e[c](r.srcAttr),
                                s && (d = (l = e.parentNode) && p.test(l.nodeName || "")),
                                m = t.firesLoad || "src" in e && (o || a || d),
                                f = {
                                    target: e
                                },
                                y(e, r.loadingClass),
                                m && (clearTimeout(U),
                                    U = u(ce, 2500),
                                    b(e, he, !0)),
                                d && g.call(l.getElementsByTagName("source"), ve),
                                o ? e.setAttribute("srcset", o) : a && !d && (ne.test(e.nodeName) ? ge(e, a) : e.src = a),
                                s && (o || d) && S(e, {
                                    src: a
                                })),
                                e._lazyRace && delete e._lazyRace,
                                A(e, r.lazyClass),
                                z((function () {
                                    var t = e.complete && e.naturalWidth > 1;
                                    m && !t || (t && y(e, "ls-is-cached"),
                                        pe(f),
                                        e._lazyCache = !0,
                                        u((function () {
                                            "_lazyCache" in e && delete e._lazyCache
                                        }
                                        ), 9))
                                }
                                ), !0)
                        }
                        )),
                        Ae = function (e) {
                            var t, n = te.test(e.nodeName), i = n && (e[c](r.sizesAttr) || e[c]("sizes")), s = "auto" == i;
                            (!s && j || !n || !e[c]("src") && !e.srcset || e.complete || v(e, r.errorClass) || !v(e, r.lazyClass)) && (t = w(e, "lazyunveilread").detail,
                                s && O.updateElem(e, !0, e.offsetWidth),
                                e._lazyRace = !0,
                                ae++,
                                ye(e, t, s, i, n))
                        }
                        ,
                        be = function () {
                            if (!j)
                                if (s.now() - Q < 999)
                                    u(be, 999);
                                else {
                                    var e = M((function () {
                                        r.loadMode = 3,
                                            fe()
                                    }
                                    ));
                                    j = !0,
                                        r.loadMode = 3,
                                        fe(),
                                        l("scroll", (function () {
                                            3 == r.loadMode && (r.loadMode = 2),
                                                e()
                                        }
                                        ), !0)
                                }
                        }
                        ,
                    {
                        _: function () {
                            Q = s.now(),
                                n.elements = t.getElementsByClassName(r.lazyClass),
                                q = t.getElementsByClassName(r.lazyClass + " " + r.preloadClass),
                                l("scroll", fe, !0),
                                l("resize", fe, !0),
                                e.MutationObserver ? new MutationObserver(fe).observe(i, {
                                    childList: !0,
                                    subtree: !0,
                                    attributes: !0
                                }) : (i[o]("DOMNodeInserted", fe, !0),
                                    i[o]("DOMAttrModified", fe, !0),
                                    setInterval(fe, 999)),
                                l("hashchange", fe, !0),
                                ["focus", "mouseover", "click", "load", "transitionend", "animationend", "webkitAnimationEnd"].forEach((function (e) {
                                    t[o](e, fe, !0)
                                }
                                )),
                                /d$|^c/.test(t.readyState) ? be() : (l("load", be),
                                    t[o]("DOMContentLoaded", fe),
                                    u(be, 2e4)),
                                n.elements.length ? (de(),
                                    z._lsFlush()) : fe()
                        },
                        checkElems: fe,
                        unveil: Ae
                    })
                        , O = (W = x((function (e, t, n, r) {
                            var i, s, a;
                            if (e._lazysizesWidth = r,
                                r += "px",
                                e.setAttribute("sizes", r),
                                p.test(t.nodeName || ""))
                                for (s = 0,
                                    a = (i = t.getElementsByTagName("source")).length; s < a; s++)
                                    i[s].setAttribute("sizes", r);
                            n.detail.dataAttr || S(e, n.detail)
                        }
                        )),
                            F = function (e, t, n) {
                                var r, i = e.parentNode;
                                i && (n = E(e, i, n),
                                    (r = w(e, "lazybeforesizes", {
                                        width: n,
                                        dataAttr: !!t
                                    })).defaultPrevented || (n = r.detail.width) && n !== e._lazysizesWidth && W(e, i, r, n))
                            }
                            ,
                            $ = M((function () {
                                var e, t = H.length;
                                if (t)
                                    for (e = 0; e < t; e++)
                                        F(H[e])
                            }
                            )),
                        {
                            _: function () {
                                H = t.getElementsByClassName(r.autosizesClass),
                                    l("resize", $)
                            },
                            checkElems: $,
                            updateElem: F
                        })
                        , I = function () {
                            I.i || (I.i = !0,
                                O._(),
                                B._())
                        };
                    var H, W, F, $;
                    var q, j, U, G, Q, V, J, X, K, Y, Z, ee, te, ne, re, ie, se, ae, oe, ce, le, ue, de, fe, pe, me, he, ge, ve, ye, Ae, be;
                    return n = {
                        cfg: r,
                        autoSizer: O,
                        loader: B,
                        init: I,
                        uP: S,
                        aC: y,
                        rC: A,
                        hC: v,
                        fire: w,
                        gW: E,
                        rAF: z
                    }
                }(t, t.document);
                t.lazySizes = r,
                    e.exports && (e.exports = r)
            }(window)
        },
        47229: function (e, t, n) {
            var r;
            !function (e) {
                var t, n, r, i, s, a, o, c = navigator.userAgent;
                e.HTMLPictureElement && /ecko/.test(c) && c.match(/rv\:(\d+)/) && RegExp.$1 < 45 && addEventListener("resize", (n = document.createElement("source"),
                    r = function (e) {
                        var t, r, i = e.parentNode;
                        "PICTURE" === i.nodeName.toUpperCase() ? (t = n.cloneNode(),
                            i.insertBefore(t, i.firstElementChild),
                            setTimeout((function () {
                                i.removeChild(t)
                            }
                            ))) : (!e._pfLastSize || e.offsetWidth > e._pfLastSize) && (e._pfLastSize = e.offsetWidth,
                                r = e.sizes,
                                e.sizes += ",100vw",
                                setTimeout((function () {
                                    e.sizes = r
                                }
                                )))
                    }
                    ,
                    i = function () {
                        var e, t = document.querySelectorAll("picture > img, img[srcset][sizes]");
                        for (e = 0; e < t.length; e++)
                            r(t[e])
                    }
                    ,
                    s = function () {
                        clearTimeout(t),
                            t = setTimeout(i, 99)
                    }
                    ,
                    a = e.matchMedia && matchMedia("(orientation: landscape)"),
                    o = function () {
                        s(),
                            a && a.addListener && a.addListener(s)
                    }
                    ,
                    n.srcset = "data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==",
                    /^[c|i]|d$/.test(document.readyState || "") ? o() : document.addEventListener("DOMContentLoaded", o),
                    s))
            }(window),
                function (i, s, a) {
                    "use strict";
                    var o, c, l;
                    s.createElement("picture");
                    var u = {}
                        , d = !1
                        , f = function () { }
                        , p = s.createElement("img")
                        , m = p.getAttribute
                        , h = p.setAttribute
                        , g = p.removeAttribute
                        , v = s.documentElement
                        , y = {}
                        , A = {
                            algorithm: ""
                        }
                        , b = "data-pfsrc"
                        , w = b + "set"
                        , S = navigator.userAgent
                        , C = /rident/.test(S) || /ecko/.test(S) && S.match(/rv\:(\d+)/) && RegExp.$1 > 35
                        , E = "currentSrc"
                        , z = /\s+\+?\d+(e\d+)?w/
                        , x = /(\([^)]+\))?\s*(.+)/
                        , T = i.picturefillCFG
                        , M = "font-size:100%!important;"
                        , k = !0
                        , L = {}
                        , _ = {}
                        , N = i.devicePixelRatio
                        , R = {
                            px: 1,
                            in: 96
                        }
                        , P = s.createElement("a")
                        , D = !1
                        , B = /^[ \t\n\r\u000c]+/
                        , O = /^[, \t\n\r\u000c]+/
                        , I = /^[^ \t\n\r\u000c]+/
                        , H = /[,]+$/
                        , W = /^\d+$/
                        , F = /^-?(?:[0-9]+|[0-9]*\.[0-9]+)(?:[eE][+-]?[0-9]+)?$/
                        , $ = function (e, t, n, r) {
                            e.addEventListener ? e.addEventListener(t, n, r || !1) : e.attachEvent && e.attachEvent("on" + t, n)
                        }
                        , q = function (e) {
                            var t = {};
                            return function (n) {
                                return n in t || (t[n] = e(n)),
                                    t[n]
                            }
                        };
                    function j(e) {
                        return " " === e || "\t" === e || "\n" === e || "\f" === e || "\r" === e
                    }
                    var U, G, Q, V, J, X, K, Y, Z, ee, te, ne, re, ie, se, ae, oe = (U = /^([\d\.]+)(em|vw|px)$/,
                        G = q((function (e) {
                            return "return " + function () {
                                for (var e = arguments, t = 0, n = e[0]; ++t in e;)
                                    n = n.replace(e[t], e[++t]);
                                return n
                            }((e || "").toLowerCase(), /\band\b/g, "&&", /,/g, "||", /min-([a-z-\s]+):/g, "e.$1>=", /max-([a-z-\s]+):/g, "e.$1<=", /calc([^)]+)/g, "($1)", /(\d+[\.]*[\d]*)([a-z]+)/g, "($1 * e.$2)", /^(?!(e.[a-z]|[0-9\.&=|><\+\-\*\(\)\/])).*/gi, "") + ";"
                        }
                        )),
                        function (e, t) {
                            var n;
                            if (!(e in L))
                                if (L[e] = !1,
                                    t && (n = e.match(U)))
                                    L[e] = n[1] * R[n[2]];
                                else
                                    try {
                                        L[e] = new Function("e", G(e))(R)
                                    } catch (e) { }
                            return L[e]
                        }
                    ), ce = function (e, t) {
                        return e.w ? (e.cWidth = u.calcListLength(t || "100vw"),
                            e.res = e.w / e.cWidth) : e.res = e.d,
                            e
                    }, le = function (e) {
                        if (d) {
                            var t, n, r, i = e || {};
                            if (i.elements && 1 === i.elements.nodeType && ("IMG" === i.elements.nodeName.toUpperCase() ? i.elements = [i.elements] : (i.context = i.elements,
                                i.elements = null)),
                                r = (t = i.elements || u.qsa(i.context || s, i.reevaluate || i.reselect ? u.sel : u.selShort)).length) {
                                for (u.setupRun(i),
                                    D = !0,
                                    n = 0; n < r; n++)
                                    u.fillImg(t[n], i);
                                u.teardownRun(i)
                            }
                        }
                    };
                    function ue(e, t) {
                        return e.res - t.res
                    }
                    function de(e, t) {
                        var n, r, i;
                        if (e && t)
                            for (i = u.parseSet(t),
                                e = u.makeUrl(e),
                                n = 0; n < i.length; n++)
                                if (e === u.makeUrl(i[n].url)) {
                                    r = i[n];
                                    break
                                }
                        return r
                    }
                    i.console && console.warn,
                        E in p || (E = "src"),
                        y["image/jpeg"] = !0,
                        y["image/gif"] = !0,
                        y["image/png"] = !0,
                        y["image/svg+xml"] = s.implementation.hasFeature("http://www.w3.org/TR/SVG11/feature#Image", "1.1"),
                        u.ns = ("pf" + (new Date).getTime()).substr(0, 9),
                        u.supSrcset = "srcset" in p,
                        u.supSizes = "sizes" in p,
                        u.supPicture = !!i.HTMLPictureElement,
                        u.supSrcset && u.supPicture && !u.supSizes && (Q = s.createElement("img"),
                            p.srcset = "data:,a",
                            Q.src = "data:,a",
                            u.supSrcset = p.complete === Q.complete,
                            u.supPicture = u.supSrcset && u.supPicture),
                        u.supSrcset && !u.supSizes ? (V = "data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==",
                            J = s.createElement("img"),
                            X = function () {
                                2 === J.width && (u.supSizes = !0),
                                    c = u.supSrcset && !u.supSizes,
                                    d = !0,
                                    setTimeout(le)
                            }
                            ,
                            J.onload = X,
                            J.onerror = X,
                            J.setAttribute("sizes", "9px"),
                            J.srcset = V + " 1w,data:image/gif;base64,R0lGODlhAgABAPAAAP///wAAACH5BAAAAAAALAAAAAACAAEAAAICBAoAOw== 9w",
                            J.src = V) : d = !0,
                        u.selShort = "picture>img,img[srcset]",
                        u.sel = u.selShort,
                        u.cfg = A,
                        u.DPR = N || 1,
                        u.u = R,
                        u.types = y,
                        u.setSize = f,
                        u.makeUrl = q((function (e) {
                            return P.href = e,
                                P.href
                        }
                        )),
                        u.qsa = function (e, t) {
                            return "querySelector" in e ? e.querySelectorAll(t) : []
                        }
                        ,
                        u.matchesMedia = function () {
                            return i.matchMedia && (matchMedia("(min-width: 0.1em)") || {}).matches ? u.matchesMedia = function (e) {
                                return !e || matchMedia(e).matches
                            }
                                : u.matchesMedia = u.mMQ,
                                u.matchesMedia.apply(this, arguments)
                        }
                        ,
                        u.mMQ = function (e) {
                            return !e || oe(e)
                        }
                        ,
                        u.calcLength = function (e) {
                            var t = oe(e, !0) || !1;
                            return t < 0 && (t = !1),
                                t
                        }
                        ,
                        u.supportsType = function (e) {
                            return !e || y[e]
                        }
                        ,
                        u.parseSize = q((function (e) {
                            var t = (e || "").match(x);
                            return {
                                media: t && t[1],
                                length: t && t[2]
                            }
                        }
                        )),
                        u.parseSet = function (e) {
                            return e.cands || (e.cands = function (e, t) {
                                function n(t) {
                                    var n, r = t.exec(e.substring(l));
                                    if (r)
                                        return n = r[0],
                                            l += n.length,
                                            n
                                }
                                var r, i, s, a, o, c = e.length, l = 0, u = [];
                                function d() {
                                    var e, n, s, a, o, c, l, d, f, p = !1, m = {};
                                    for (a = 0; a < i.length; a++)
                                        c = (o = i[a])[o.length - 1],
                                            l = o.substring(0, o.length - 1),
                                            d = parseInt(l, 10),
                                            f = parseFloat(l),
                                            W.test(l) && "w" === c ? ((e || n) && (p = !0),
                                                0 === d ? p = !0 : e = d) : F.test(l) && "x" === c ? ((e || n || s) && (p = !0),
                                                    f < 0 ? p = !0 : n = f) : W.test(l) && "h" === c ? ((s || n) && (p = !0),
                                                        0 === d ? p = !0 : s = d) : p = !0;
                                    p || (m.url = r,
                                        e && (m.w = e),
                                        n && (m.d = n),
                                        s && (m.h = s),
                                        s || n || e || (m.d = 1),
                                        1 === m.d && (t.has1x = !0),
                                        m.set = t,
                                        u.push(m))
                                }
                                function f() {
                                    for (n(B),
                                        s = "",
                                        a = "in descriptor"; ;) {
                                        if (o = e.charAt(l),
                                            "in descriptor" === a)
                                            if (j(o))
                                                s && (i.push(s),
                                                    s = "",
                                                    a = "after descriptor");
                                            else {
                                                if ("," === o)
                                                    return l += 1,
                                                        s && i.push(s),
                                                        void d();
                                                if ("(" === o)
                                                    s += o,
                                                        a = "in parens";
                                                else {
                                                    if ("" === o)
                                                        return s && i.push(s),
                                                            void d();
                                                    s += o
                                                }
                                            }
                                        else if ("in parens" === a)
                                            if (")" === o)
                                                s += o,
                                                    a = "in descriptor";
                                            else {
                                                if ("" === o)
                                                    return i.push(s),
                                                        void d();
                                                s += o
                                            }
                                        else if ("after descriptor" === a)
                                            if (j(o))
                                                ;
                                            else {
                                                if ("" === o)
                                                    return void d();
                                                a = "in descriptor",
                                                    l -= 1
                                            }
                                        l += 1
                                    }
                                }
                                for (; ;) {
                                    if (n(O),
                                        l >= c)
                                        return u;
                                    r = n(I),
                                        i = [],
                                        "," === r.slice(-1) ? (r = r.replace(H, ""),
                                            d()) : f()
                                }
                            }(e.srcset, e)),
                                e.cands
                        }
                        ,
                        u.getEmValue = function () {
                            var e;
                            if (!o && (e = s.body)) {
                                var t = s.createElement("div")
                                    , n = v.style.cssText
                                    , r = e.style.cssText;
                                t.style.cssText = "position:absolute;left:0;visibility:hidden;display:block;padding:0;border:none;font-size:1em;width:1em;overflow:hidden;clip:rect(0px, 0px, 0px, 0px)",
                                    v.style.cssText = M,
                                    e.style.cssText = M,
                                    e.appendChild(t),
                                    o = t.offsetWidth,
                                    e.removeChild(t),
                                    o = parseFloat(o, 10),
                                    v.style.cssText = n,
                                    e.style.cssText = r
                            }
                            return o || 16
                        }
                        ,
                        u.calcListLength = function (e) {
                            if (!(e in _) || A.uT) {
                                var t = u.calcLength(function (e) {
                                    var t, n, r, i, s, a, o, c = /^(?:[+-]?[0-9]+|[0-9]*\.[0-9]+)(?:[eE][+-]?[0-9]+)?(?:ch|cm|em|ex|in|mm|pc|pt|px|rem|vh|vmin|vmax|vw)$/i, l = /^calc\((?:[0-9a-z \.\+\-\*\/\(\)]+)\)$/i;
                                    for (r = (n = function (e) {
                                        var t, n = "", r = [], i = [], s = 0, a = 0, o = !1;
                                        function c() {
                                            n && (r.push(n),
                                                n = "")
                                        }
                                        function l() {
                                            r[0] && (i.push(r),
                                                r = [])
                                        }
                                        for (; ;) {
                                            if ("" === (t = e.charAt(a)))
                                                return c(),
                                                    l(),
                                                    i;
                                            if (o) {
                                                if ("*" === t && "/" === e[a + 1]) {
                                                    o = !1,
                                                        a += 2,
                                                        c();
                                                    continue
                                                }
                                                a += 1
                                            } else {
                                                if (j(t)) {
                                                    if (e.charAt(a - 1) && j(e.charAt(a - 1)) || !n) {
                                                        a += 1;
                                                        continue
                                                    }
                                                    if (0 === s) {
                                                        c(),
                                                            a += 1;
                                                        continue
                                                    }
                                                    t = " "
                                                } else if ("(" === t)
                                                    s += 1;
                                                else if (")" === t)
                                                    s -= 1;
                                                else {
                                                    if ("," === t) {
                                                        c(),
                                                            l(),
                                                            a += 1;
                                                        continue
                                                    }
                                                    if ("/" === t && "*" === e.charAt(a + 1)) {
                                                        o = !0,
                                                            a += 2;
                                                        continue
                                                    }
                                                }
                                                n += t,
                                                    a += 1
                                            }
                                        }
                                    }(e)).length,
                                        t = 0; t < r; t++)
                                        if (s = (i = n[t])[i.length - 1],
                                            o = s,
                                            c.test(o) && parseFloat(o) >= 0 || l.test(o) || "0" === o || "-0" === o || "+0" === o) {
                                            if (a = s,
                                                i.pop(),
                                                0 === i.length)
                                                return a;
                                            if (i = i.join(" "),
                                                u.matchesMedia(i))
                                                return a
                                        }
                                    return "100vw"
                                }(e));
                                _[e] = t || R.width
                            }
                            return _[e]
                        }
                        ,
                        u.setRes = function (e) {
                            var t;
                            if (e)
                                for (var n = 0, r = (t = u.parseSet(e)).length; n < r; n++)
                                    ce(t[n], e.sizes);
                            return t
                        }
                        ,
                        u.setRes.res = ce,
                        u.applySetCandidate = function (e, t) {
                            if (e.length) {
                                var n, r, i, s, a, o, c, l, d, f, p, m, h, g, v, y, b = t[u.ns], w = u.DPR;
                                if (o = b.curSrc || t[E],
                                    c = b.curCan || function (e, t, n) {
                                        var r;
                                        return !n && t && (n = (n = e[u.ns].sets) && n[n.length - 1]),
                                            (r = de(t, n)) && (t = u.makeUrl(t),
                                                e[u.ns].curSrc = t,
                                                e[u.ns].curCan = r,
                                                r.res || ce(r, r.set.sizes)),
                                            r
                                    }(t, o, e[0].set),
                                    c && c.set === e[0].set && ((d = C && !t.complete && c.res - .1 > w) || (c.cached = !0,
                                        c.res >= w && (a = c))),
                                    !a)
                                    for (e.sort(ue),
                                        a = e[(s = e.length) - 1],
                                        r = 0; r < s; r++)
                                        if ((n = e[r]).res >= w) {
                                            a = e[i = r - 1] && (d || o !== u.makeUrl(n.url)) && (f = e[i].res,
                                                p = n.res,
                                                m = w,
                                                h = e[i].cached,
                                                g = void 0,
                                                v = void 0,
                                                y = void 0,
                                                "saveData" === A.algorithm ? f > 2.7 ? y = m + 1 : (v = (p - m) * (g = Math.pow(f - .6, 1.5)),
                                                    h && (v += .1 * g),
                                                    y = f + v) : y = m > 1 ? Math.sqrt(f * p) : f,
                                                y > m) ? e[i] : n;
                                            break
                                        }
                                a && (l = u.makeUrl(a.url),
                                    b.curSrc = l,
                                    b.curCan = a,
                                    l !== o && u.setSrc(t, a),
                                    u.setSize(t))
                            }
                        }
                        ,
                        u.setSrc = function (e, t) {
                            var n;
                            e.src = t.url,
                                "image/svg+xml" === t.set.type && (n = e.style.width,
                                    e.style.width = e.offsetWidth + 1 + "px",
                                    e.offsetWidth + 1 && (e.style.width = n))
                        }
                        ,
                        u.getSet = function (e) {
                            var t, n, r, i = !1, s = e[u.ns].sets;
                            for (t = 0; t < s.length && !i; t++)
                                if ((n = s[t]).srcset && u.matchesMedia(n.media) && (r = u.supportsType(n.type))) {
                                    "pending" === r && (n = r),
                                        i = n;
                                    break
                                }
                            return i
                        }
                        ,
                        u.parseSets = function (e, t, n) {
                            var r, i, s, o, l = t && "PICTURE" === t.nodeName.toUpperCase(), d = e[u.ns];
                            (d.src === a || n.src) && (d.src = m.call(e, "src"),
                                d.src ? h.call(e, b, d.src) : g.call(e, b)),
                                (d.srcset === a || n.srcset || !u.supSrcset || e.srcset) && (r = m.call(e, "srcset"),
                                    d.srcset = r,
                                    o = !0),
                                d.sets = [],
                                l && (d.pic = !0,
                                    function (e, t) {
                                        var n, r, i, s, a = e.getElementsByTagName("source");
                                        for (n = 0,
                                            r = a.length; n < r; n++)
                                            (i = a[n])[u.ns] = !0,
                                                (s = i.getAttribute("srcset")) && t.push({
                                                    srcset: s,
                                                    media: i.getAttribute("media"),
                                                    type: i.getAttribute("type"),
                                                    sizes: i.getAttribute("sizes")
                                                })
                                    }(t, d.sets)),
                                d.srcset ? (i = {
                                    srcset: d.srcset,
                                    sizes: m.call(e, "sizes")
                                },
                                    d.sets.push(i),
                                    (s = (c || d.src) && z.test(d.srcset || "")) || !d.src || de(d.src, i) || i.has1x || (i.srcset += ", " + d.src,
                                        i.cands.push({
                                            url: d.src,
                                            d: 1,
                                            set: i
                                        }))) : d.src && d.sets.push({
                                            srcset: d.src,
                                            sizes: null
                                        }),
                                d.curCan = null,
                                d.curSrc = a,
                                d.supported = !(l || i && !u.supSrcset || s && !u.supSizes),
                                o && u.supSrcset && !d.supported && (r ? (h.call(e, w, r),
                                    e.srcset = "") : g.call(e, w)),
                                d.supported && !d.srcset && (!d.src && e.src || e.src !== u.makeUrl(d.src)) && (null === d.src ? e.removeAttribute("src") : e.src = d.src),
                                d.parsed = !0
                        }
                        ,
                        u.fillImg = function (e, t) {
                            var n, r = t.reselect || t.reevaluate;
                            e[u.ns] || (e[u.ns] = {}),
                                n = e[u.ns],
                                (r || n.evaled !== l) && (n.parsed && !t.reevaluate || u.parseSets(e, e.parentNode, t),
                                    n.supported ? n.evaled = l : function (e) {
                                        var t, n = u.getSet(e), r = !1;
                                        "pending" !== n && (r = l,
                                            n && (t = u.setRes(n),
                                                u.applySetCandidate(t, e))),
                                            e[u.ns].evaled = r
                                    }(e))
                        }
                        ,
                        u.setupRun = function () {
                            D && !k && N === i.devicePixelRatio || (k = !1,
                                N = i.devicePixelRatio,
                                L = {},
                                _ = {},
                                u.DPR = N || 1,
                                R.width = Math.max(i.innerWidth || 0, v.clientWidth),
                                R.height = Math.max(i.innerHeight || 0, v.clientHeight),
                                R.vw = R.width / 100,
                                R.vh = R.height / 100,
                                l = [R.height, R.width, N].join("-"),
                                R.em = u.getEmValue(),
                                R.rem = R.em)
                        }
                        ,
                        u.supPicture ? (le = f,
                            u.fillImg = f) : (re = i.attachEvent ? /d$|^c/ : /d$|^c|^i/,
                                ie = function () {
                                    var e = s.readyState || "";
                                    se = setTimeout(ie, "loading" === e ? 200 : 999),
                                        s.body && (u.fillImgs(),
                                            (K = K || re.test(e)) && clearTimeout(se))
                                }
                                ,
                                se = setTimeout(ie, s.body ? 9 : 99),
                                ae = v.clientHeight,
                                $(i, "resize", (Y = function () {
                                    k = Math.max(i.innerWidth || 0, v.clientWidth) !== R.width || v.clientHeight !== ae,
                                        ae = v.clientHeight,
                                        k && u.fillImgs()
                                }
                                    ,
                                    Z = 99,
                                    ne = function () {
                                        var e = new Date - te;
                                        e < Z ? ee = setTimeout(ne, Z - e) : (ee = null,
                                            Y())
                                    }
                                    ,
                                    function () {
                                        te = new Date,
                                            ee || (ee = setTimeout(ne, Z))
                                    }
                                )),
                                $(s, "readystatechange", ie)),
                        u.picturefill = le,
                        u.fillImgs = le,
                        u.teardownRun = f,
                        le._ = u,
                        i.picturefillCFG = {
                            pf: u,
                            push: function (e) {
                                var t = e.shift();
                                "function" == typeof u[t] ? u[t].apply(u, e) : (A[t] = e[0],
                                    D && u.fillImgs({
                                        reselect: !0
                                    }))
                            }
                        };
                    for (; T && T.length;)
                        i.picturefillCFG.push(T.shift());
                    i.picturefill = le,
                        "object" == typeof e.exports ? e.exports = le : (r = function () {
                            return le
                        }
                            .call(t, n, t, e)) === a || (e.exports = r),
                        u.supPicture || (y["image/webp"] = function (e, t) {
                            var n = new i.Image;
                            return n.onerror = function () {
                                y[e] = !1,
                                    le()
                            }
                                ,
                                n.onload = function () {
                                    y[e] = 1 === n.width,
                                        le()
                                }
                                ,
                                n.src = t,
                                "pending"
                        }("image/webp", "data:image/webp;base64,UklGRkoAAABXRUJQVlA4WAoAAAAQAAAAAAAAAAAAQUxQSAwAAAABBxAR/Q9ERP8DAABWUDggGAAAADABAJ0BKgEAAQADADQlpAADcAD++/1QAA=="))
                }(window, document)
        }
    }
        , t = {};
    function n(r) {
        var i = t[r];
        if (void 0 !== i)
            return i.exports;
        var s = t[r] = {
            id: r,
            loaded: !1,
            exports: {}
        };
        return e[r](s, s.exports, n),
            s.loaded = !0,
            s.exports
    }
    n.n = function (e) {
        var t = e && e.__esModule ? function () {
            return e.default
        }
            : function () {
                return e
            }
            ;
        return n.d(t, {
            a: t
        }),
            t
    }
        ,
        n.d = function (e, t) {
            for (var r in t)
                n.o(t, r) && !n.o(e, r) && Object.defineProperty(e, r, {
                    enumerable: !0,
                    get: t[r]
                })
        }
        ,
        n.o = function (e, t) {
            return Object.prototype.hasOwnProperty.call(e, t)
        }
        ,
        n.nmd = function (e) {
            return e.paths = [],
                e.children || (e.children = []),
                e
        }
        ,
        function () {
            "use strict";
            n(44882),
                n(47229),
                n(33241);
            var e = n(77090);
            window.Scandic = {
                runOnDocumentReady: [],
                runOnWindowLoad: [],
                runOnUserAction: []
            },
                (0,
                    e.init)(),
                document.addEventListener("lazybeforeunveil", (function (e) {
                    e.target.dataset.bg && (e.target.style.backgroundImage = "url(".concat(e.target.dataset.bg, ")"))
                }
                ));
            var t = new XMLHttpRequest;
            t.onreadystatechange = function () {
                if (t.readyState == XMLHttpRequest.DONE) {
                    var e = JSON.parse(t.responseText);
                    if (200 == t.status) {
                        if (e.AlertsHtml && !document.querySelector(".special-alerts--sitewide"))
                            var n = setInterval((function () {
                                document.querySelector("header.header") && (document.querySelector("header.header").insertAdjacentHTML("afterend", e.AlertsHtml),
                                    clearInterval(n))
                            }
                            ), 10);
                        if (e.MaintenanceBlock && !document.querySelector(".booking-widget--maintenance"))
                            var r = setInterval((function () {
                                var t = document.querySelector(".booking-widget-wrapper");
                                if (t) {
                                    var n = document.createElement("div");
                                    n.classList.add("hidden"),
                                        n.innerHTML = e.MaintenanceBlock,
                                        t.innerHTML = n.children[0].innerHTML,
                                        document.querySelector("#book-button") && (document.querySelector("#book-button svg.icon").classList.remove("hidden"),
                                            document.querySelector("#book-button").classList.add("btn--iconic"));
                                    var i = document.querySelector(".booking-widget-head");
                                    i && i.remove(),
                                        t.removeAttribute("hidden");
                                    var s = document.querySelector(".booking-widget-bar .l-booking-widget--mobile-collapsed");
                                    s && s.classList.remove("l-booking-widget--mobile-collapsed"),
                                        clearInterval(r)
                                }
                            }
                            ), 100);
                        (e.AlertsHtml || e.MaintenanceBlock) && setTimeout((function () {
                            r && clearInterval(r),
                                n && clearInterval(n)
                        }
                        ), 2e3)
                    } else
                        400 == t.status ? console.log("Get Alerts Data error 400") : console.log("Get Alerts Data " + t.readyState)
                }
            }
                ;
            var r = !1;
            "undefined" != typeof datalayerObj && -1 != ["bookingroomsandratespage", "bookingenterdetailspage", "bookingconfirmationpage", "bookinghotelspage", "bookingalternatehotelspage"].indexOf(datalayerObj.pagetype) && (r = !0),
                t.open("GET", "https://www.scandichotels.com/ajax/getsitealerts?isBookingPage=" + r, !0),
                t.send()
        }()
}();
